<?php



// ini_set('display_errors',1);



require_once('../../libreriasphp/html2pdf/_tcpdf_5.9.206/tcpdf.php');



session_start();



require_once ("../../config/Cado.php");

require_once ("../../app/cuentapagar/cCuentapagar.php");

$oCuentapagar = new cCuentapagar();

require_once ("../../app/proveedor/cProveedor.php");

$oProveedor = new cProveedor();

require_once ("../../app/empresa/cEmpresa.php");

$oEmpresa = new cEmpresa();



require_once ("../../app/formatos/formato.php");

require_once ("../../app/formatos/fechas.php");



$dts=$oEmpresa->mostrarUno(1);

$dt = mysqli_fetch_array($dts);

	$emp_ruc=$dt['tb_empresa_ruc'];

	$emp_nomcom=$dt['tb_empresa_nomcom'];

	$emp_razsoc=$dt['tb_empresa_razsoc'];

	$emp_dir=$dt['tb_empresa_dir'];

	$emp_dir2=$dt['tb_empresa_dir2'];

	$emp_tel=$dt['tb_empresa_tel'];

	$emp_ema=$dt['tb_empresa_ema'];

	$emp_fir=$dt['tb_empresa_fir'];		

mysqli_free_result($dts);





$dtsid=$oEmpresa->mostrarUno(3);

$dtid = mysqli_fetch_array($dtsid);

	$emp_rucid=$dtid['tb_empresa_ruc'];

	$emp_nomcomid=$dtid['tb_empresa_nomcom'];

	$emp_razsocid=$dtid['tb_empresa_razsoc'];

	$emp_dirid=$dtid['tb_empresa_dir'];

	$emp_dir2id=$dtid['tb_empresa_dir2'];

	$emp_telid=$dtid['tb_empresa_tel'];

	$emp_emaid=$dtid['tb_empresa_ema'];

	$emp_firid=$dtid['tb_empresa_fir'];		

mysqli_free_result($dtsid);



$fec=date('d-m-Y');

	

$title = "REPORTE | CUENTAS POR PAGAR CONSOLIDADAS - ".$fec;

$nombre_archivo = 'REPORTE | CUENTAS POR PAGAR CONSOLIDADAS '.$fec.'.pdf';



// $file_name = 'FA-'.$serie.'-'.$numero.'-code.png';

// $path = 'temp/'.$file_name;

// $type = pathinfo($path, PATHINFO_EXTENSION);

// $data = file_get_contents($path);

// $base64 = 'data:image/' . $type . ';base64,' . base64_encode($data);





class MYPDF extends TCPDF

{



    public function Header() {	

      //$image_file = K_PATH_IMAGES.'logo.jpg';

      //$this->Image($image_file, 20, 10, 71, '', 'JPG', '', 'T', false, 300, '', false, false, 0, false, false, false);

      // Set font

      //$this->SetFont('helvetica', 'B', 20);

      // Title

      //$this->Cell(0, 15, '<< TCPDF Example 003 >>', 0, false, 'C', 0, '', 0, false, 'M', 'M');

    }



    public function Footer() 

    {

       $style = array(

        'position' => 'L',

        'align' => 'L',

        'stretch' => false,

        'fitwidth' => true,

        'cellfitalign' => '',

        'border' => false,

        'padding' => 0,

        'fgcolor' => array(0,0,0),

        'bgcolor' => false,

        'text' => false

      //     'font' => 'helvetica',

      //     'fontsize' => 8,

      //     'stretchtext' => 4

      );



      $this -> SetY(-12);

      // Page number

      $this->SetFont('helvetica', '', 9);

      //$this->SetTextColor(0,0,0);

      $this->Cell(0, 0, 'Página '.$this->getAliasNumPage().' de '.$this->getAliasNbPages(), 'T', 1, 'R', 0, '', 0, false, 'T', 'M');

      

      $codigo='CAV-'.str_pad($_GET['d1'], 4, "0", STR_PAD_LEFT);

      

    

      $this->Cell(0, 0, 'www.grupovyf.com', 0, 1, 'C', 0, '', 0, false, 'T', 'M');      

    }

}



// create new PDF document

$pdf = new MYPDF(PDF_PAGE_ORIENTATION, PDF_UNIT, PDF_PAGE_FORMAT, true, 'UTF-8', false);



$pdf->SetCreator(PDF_CREATOR);

$pdf->SetAuthor('www.infosisperu.com');

$pdf->SetTitle($title);



$pdf->SetSubject('www.infosisperu.com');

$pdf->SetKeywords('www.infosisperu.com');



// set header and footer fonts

$pdf->setHeaderFont(Array(PDF_FONT_NAME_MAIN, '', PDF_FONT_SIZE_MAIN));

$pdf->setFooterFont(Array(PDF_FONT_NAME_DATA, '', PDF_FONT_SIZE_DATA));



// set default monospaced font

$pdf->SetDefaultMonospacedFont(PDF_FONT_MONOSPACED);



//set margins

$pdf->SetMargins(12, 15, 12);// left top right

$pdf->SetHeaderMargin(PDF_MARGIN_HEADER);

//$pdf->SetFooterMargin(PDF_MARGIN_FOOTER);



//set auto page breaks

$pdf->SetAutoPageBreak(TRUE, 15);



//set image scale factor

$pdf->setImageScale(PDF_IMAGE_SCALE_RATIO);



//set some language-dependent strings

$pdf->setLanguageArray($l);



// ---------------------------------------------------------



// add a page

$pdf->AddPage('P', 'A4');



//font-family: Consolas, monaco, monospace;

//helvetica, monaco, monospace;



// Introducimos HTML de prueba

$html = '

<!DOCTYPE html>

<html lang="es">

<head>

    <meta http-equiv="Content-Type" content="text/html;charset=utf-8"/>

	<link rel="shortcut icon" href="../../admin/bootstrap/images/favicon.png">

	

</head>

<style type="text/css">

    body {

        color: black;

        font-family: Verdana, Arial, Consolas;

        font-size: 7.5pt;

    }

    .header_row th {

		font-size:28px;

		background-color:#eee;

        border-bottom: 0.9px solid #010101;

        border-right: 0.9px solid #010101;

        border-left: 0.9px solid #010101;

        border-top: 0.9px solid #010101;

    }

    .odd_row td {

        background-color: transparent;

        border-bottom: 0.9px solid #010101;

        padding-top: 5px;

        padding-bottom: 5px;

    }

    .even_row td {

        padding-top: 5px;

        padding-bottom: 5px;

        background-color: #f6f6f6;

        border-bottom: 0.9px solid #010101;

    }

    .row td{

        border-right: 0.9px solid #010101;

        border-left: 0.9px solid #010101;

    }

	

	

	

	div#div_tabla {  }

	div#div_tabla table { border-collapse: collapse; width: 100%; }

	div#div_tabla table td, div#div_tabla table th { border: 1px solid #eee;font-family:arial; font-size:28px; }

	div#div_tabla table th { height:18px;font-size:35px; }

	div#div_tabla table td { height:17px;font-size:35px; }

	

</style>



<style media="print">

    .oculto{

        display: none;

    }



</style>

<body>





<table style="width: 100%; margin-bottom: 10px">

	<tr>

	<td width="15%">

	<img src="../../imagenes/logo.png" alt="" />

	</td>

        <td style="text-align: center" width="50%">

		

            <strong style="font-size:35px">'.$emp_razsoc.'</strong><br>

            '.$emp_dir.'<br />   <strong>Telf.: '.$emp_tel.'  E-mail.: '.$emp_ema.'</strong> 

			<br />

			 <strong style="font-size:35px">'.$emp_razsocid.'</strong><br>

            '.$emp_dirid.'<br />   <strong>Telf.: '.$emp_telid.'  E-mail.: '.$emp_emaid.'</strong> 

        

        </td>   

	    <td style="text-align: center;border-top-style:solid;border-right-style:solid;border-bottom-style:solid;border-left-style:solid;padding:2px;" width="30%">

		<br />

		<br />

		<br />

		   <strong style="font-size: 40px">ESTADO DE CUENTAS<br>

			CONSOLIDADAS<br></strong>

        </td>

    </tr>

</table>



<br />

<br />		

';



if($_GET['com']==1){

	

$tip = 1;



if($_GET['comemi']!==""){

	$por = '1';

}else if($_GET['comven']!==""){

	$por = '2';

}



if($_GET['comasc']!==""){

	$ord = '1';

}else if($_GET['comdesc']!==""){

	$ord = '2';

}



$dtsa = $oCuentapagar->cuentas_por_pagar_reporte_agru($_GET['proid'],'',$tip,$por,fecha_mysql($_GET['comfec1']),fecha_mysql($_GET['comfec2']),$ord);

$num_rows= mysqli_num_rows($dtsa);

 

 

		

	$html.='

	<div id="div_tabla">

	<table width="92.7%" id="tabla_resumen_todos" class="table table-bordered table-striped">

           <thead>

			

			<tr class="" style="font-weight:bold;font-size:35px;background-color:red;;color:#fff;">

				<th colspan="12" >COMPROBANTES</th>

			</tr>

			

			<tr class="" style="font-weight:bold;font-size:30px;background-color:#eee;">

				<th width="70" align="center" >PROVEEDOR</th>

				<th width="20" align="center" >E</th>

				<th width="25" align="center" >T</th>

				<th width="80" align="center" >NUMERO</th>

				<th width="60" align="center" >EMISION</th>

				<th width="60" align="center" >VENC</th>

				<th width="20" align="center" >D</th>						

				<th width="35" align="center" >BAN</th>			

				<th width="90" align="center" >CUENTA</th>	

				<th width="35" align="center" >MO</th>	

				<th width="55" align="center" >IMPORTE</th>					

				<th width="55" align="center" >A PAGAR</th>						

			</tr>



			</thead>

			<tbody>	

		

		';

		

		if($num_rows>0){

			

		while($dta = mysqli_fetch_array($dtsa))

		{ 	

		

		if($por==1){

			$lbl = 'TOTAL DE PAGOS SEGUN FECHA DE EMISION : ';

			$fe = mostrarFecha($dta['fecha']);

		}else if($por==2){

			$fe = mostrarFecha($dta['fechaven']);

			$lbl = 'TOTAL DE PAGOS SEGUN FECHA DE VENCIMIENTO : ';

		}

		

		$dts1 = $oCuentapagar->cuentas_por_pagar_reporte($_GET['proid'],'',$tip,$por,fecha_mysql($fe),$ord);

		$num_rows= mysqli_num_rows($dts1);

		while($dt1 = mysqli_fetch_array($dts1))

		{	

	

			$mone_id = $dt1['tb_moneda_id'];	

		

			$total = $dt1['tb_comprapago_mon'] - $dt1['tb_comprapago_liq'];

			if($mone_id==1){

					$lbl_mone = 'S/';

					$total_soles += $total;

			}else if($mone_id==2){

					$lbl_mone = 'US$';

					$total_dolares += $total ;

			}

			

			if($dt1['tb_comprapago_fecven']!='0000-00-00'){

				$fecven = $dt1['tb_comprapago_fecven'];

				$dias = dias_transcurridos($fec,$dt1['tb_comprapago_fecven']);

				if($dias<0){

					$dias = 0;

				}else{

					$dias = $dias ;

				}

			}else{

				$fecven='';

				$dias = '';

			}

			

			$dtsp = $oProveedor->filtrar_cuenta_primero($dt1['tb_proveedor_id']);

			$dt = mysqli_fetch_array($dtsp);

			$banco = $dt['tb_banco_abr'];	

			$cuenta = $dt['tb_proveedorcuenta_nrocue'];	

		

			if($dt1['tb_comprapago_con']==1){

			$con = 'COBRANZAS';

		}else if($dt1['tb_comprapago_con']==2){

			$con = 'DESCUENTOS';

		}else if($dt1['tb_comprapago_con']==3){

			$con = 'CARTERAS';

		}else if($dt1['tb_comprapago_con']==0){

			$con = 'SIN CONDICION';

		}

		

				$html.='<tr class="even" >

				<td width="70" align="left">'. $dt1['tb_proveedor_alias'].'</td>

				<td width="20" align="left">'. $dt1['tb_empresa_nomcom'].'</td>

				<td width="25" align="left">'. $dt1['tb_documento_abr'].'</td>

				<td width="80" align="right">'. $dt1['tb_compra_numdoc'].'</td>					

				<td width="60" align="center">'. mostrarFecha($dt1['tb_compra_fec']).'</td>					

				<td width="60" align="center">'. mostrarFecha($fecven) .'</td>					

				<td width="20" align="center" >'. $dias.'</td>												

				<td width="35" align="center" >'. $banco.'</td>				

				<td width="90" align="center" >'. $cuenta.'</td>

				<td width="35" align="center" ><strong>'.$lbl_mone.'</strong></td>					

				<td width="55" align="right" ><strong>'.formato_money($dt1['tb_comprapago_mon']).'</strong></td>							

				<td width="55" align="right" ><strong>'.formato_money($dt1['tb_comprapago_mon'] - $dt1['tb_comprapago_liq']).'</strong></td>				           

			</tr>';

		

		}

		

		$html.='<tr class="" style="background-color:#80cbc4;" >

		<td colspan="6" align="right" >'. $lbl.'<strong>'. $fe .'</strong> </td>

		<td colspan="6" align="right" > <strong> S/ '. formato_money($dta['soles']).'</strong> <span> | </span> 

		<strong> US$ '.formato_money($dta['dolares']).'</strong> </td>

		</tr>';

		} 

		mysqli_free_result($dts1); 

		

		}else{		

		$html.='<tr>

			<td colspan="12" align="center" >No hay cuentas por pagar.</td>

			</tr>';

		}

		

		$html.='</tbody>

			<tr class="even" style="background-color:#eee;">

				<td colspan="12" ></td>

			</tr>

      </table> 

	  </div> ';

}









if($_GET['letra']==1){

	

$tipletra = 2;



if($_GET['letraemi']!==""){

	$por = '1';

}else if($_GET['letraven']!==""){

	$por = '2';

}



if($_GET['letraasc']!==""){

	$ord = '1';

}else if($_GET['letradesc']!==""){

	$ord = '2';

}

 



$dtsa = $oCuentapagar->cuentas_por_pagar_reporte_agru($_GET['proid'],'',$tipletra,$por,fecha_mysql($_GET['letrafec1']),fecha_mysql($_GET['letrafec2']),$ord);

$num_rows= mysqli_num_rows($dtsa);

 

 $total_soles = 0;

 $total_dolares = 0;

		

	$html.='

	<div id="div_tabla"  >

	<table width="100.2%" id="tabla_resumen_todos" class="table table-bordered table-striped">

           <thead>

			

			<tr class="" style="font-weight:bold;font-size:35px;background-color:red;;color:#fff;">

				<th colspan="14" >LETRAS DE CAMBIO</th>

			</tr>

			<!--

			<tr class="" style="font-weight:bold;font-size:30px;background-color:#eee;">

				<th colspan="4" align="center" >DOCUMENTO</th>

				<th colspan="2" align="center" >FECHAS</th>

				<th >M</th>

				<th colspan="2" align="center" >UBICACION</th>

				<th width="40" align="center" nowrap ></th>

				<th nowrap >TOTAL</th>

				<th nowrap >A RE.</th>

				<th nowrap >SALDO</th>

			</tr>

				-->

			<tr class="" style="font-weight:bold;font-size:30px;background-color:#eee;">

				<th width="70" align="center" >PROVEEDOR</th>

				<th width="20" align="center" >E</th>

				<th width="20" align="center" >T</th>

				<th width="58" align="center" >NUMERO</th>

				<th width="60" align="center" >EMISION</th>

				<th width="60" align="center" >VENC</th>

				<th width="20" align="center" >D</th>						

				<th width="35" align="center" >BAN</th>				

				<th width="25" align="center" >C</th>				

				<th width="90" align="center" >NUM. UNI.</th>	

				<th width="30" align="center" >MO</th>	

				<th width="55" align="center" >IMPORTE</th>				

				<th width="55" align="center" >RENO</th>					

				<th width="55" align="center" >A PAGAR</th>					

			</tr>



			</thead>

			<tbody>	

		

		';

		

		if($num_rows>0){

			

		while($dta = mysqli_fetch_array($dtsa))

		{ 	



		if($por==1){

			$lbl = 'TOTAL DE PAGOS SEGUN FECHA DE EMISION : ';

			$fe = mostrarFecha($dta['fecha']);

		}else if($por==2){

			$fe = mostrarFecha($dta['fechaven']);

			$lbl = 'TOTAL DE PAGOS SEGUN FECHA DE VENCIMIENTO : ';

		}

		

		

		

		 $dts1 = $oCuentapagar->cuentas_por_pagar_reporte($_GET['proid'],'',$tipletra,$por,fecha_mysql($fe),$ord);

		 $num_rows= mysqli_num_rows($dts1);

		 while($dt1 = mysqli_fetch_array($dts1))

		{

			$mone_id = $dt1['tb_moneda_id'];

		

			$total = $dt1['tb_comprapago_mon'] - $dt1['tb_comprapago_liq'];

			if($mone_id==1){

					$lbl_mone = 'S/';

					$total_soles += $total;

			}else if($mone_id==2){

					$lbl_mone = 'US$';

					$total_dolares += $total ;

			}

			

			if($dt1['tb_banco_id']==0){

				$ban = '';

			}else if($dt1['tb_banco_id']==1){

				$ban = 'BCP';

			}else if($dt1['tb_banco_id']==2){

				$ban = 'BBVA';

			}else if($dt1['tb_banco_id']==3){

				$ban = 'SCT';

			}

			

			if($dt1['tb_comprapago_fecven']!='0000-00-00'){

				$fecven = $dt1['tb_comprapago_fecven'];

				$dias = dias_transcurridos($fec,$dt1['tb_comprapago_fecven']);

				if($dias<0){

					$dias = 0;

				}else{

					$dias = $dias ;

				}

			}else{

				$fecven='';

				$dias = '';

			}

			

		if($dt1['tb_comprapago_con']==1){

			$con = 'CO';

		}else if($dt1['tb_comprapago_con']==2){

			$con = 'DE';

		}else if($dt1['tb_comprapago_con']==3){

			$con = 'CA';

		}else if($dt1['tb_comprapago_con']==0){

			$con = '';

		}

		

			

				$html.='<tr class="even" >

				<td width="70" align="left">'. $dt1['tb_proveedor_alias'].'</td>

				<td width="20" align="left">'. $dt1['tb_empresa_nomcom'].'</td>

				<td width="20" align="left">'. $dt1['tb_documento_abr'].'</td>

				<td width="58" align="right">'. $dt1['tb_compra_numdoc'].'</td>					

				<td width="60" align="center">'. mostrarFecha($dt1['tb_compra_fec']).'</td>					

				<td width="60" align="center">'. mostrarFecha($fecven) .'</td>					

				<td width="20" align="center" >'. $dias.'</td>												

				<td width="35" align="center" >'. $ban.'</td>					

				<td width="25" align="center" >'. $con.'</td>					

				<td width="90" align="center" >'. $dt1['tb_comprapago_numuni'].'</td>

				<td width="30" align="center" ><strong>'.$lbl_mone.'</strong></td>					

				<td width="55" align="right" ><strong>'.formato_money($dt1['tb_comprapago_mon']).'</strong></td>					

				<td width="55" align="right" ><strong>'.formato_money($dt1['tb_comprapago_liq']).'</strong></td>								

				<td width="55" align="right" ><strong>'.formato_money($dt1['tb_comprapago_mon'] - $dt1['tb_comprapago_liq']).'</strong></td>				           

			</tr>';

		

		}

		

		$html.='<tr class="" style="background-color:#80cbc4;" >

		<td colspan="8" align="right" >'. $lbl.'<strong>'. $fe .'</strong> </td>

		<td colspan="7" align="right" > <strong> S/ '. formato_money($dta['soles']).'</strong> <span> | </span> 

		<strong> US$ '.formato_money($dta['dolares']).'</strong> </td>

		</tr>';

		

		} 

		mysqli_free_result($dts1); 

		

		}else{		

		$html.='<tr>

			<td colspan="15" align="center" >No hay cuentas por pagar.</td>

			</tr>';

		}

		

		$html.='</tbody>

			<tr class="even" style="background-color:#eee;">

				<td colspan="15" ></td>

			</tr>

      </table> 

	  </div> ';

}







$html.='

<br />

<br />

<br />



</body>

</html>';



$pdf->writeHTML($html, true, 0, true, true);



//$pdf->write2DBarcode($ruc_empresa.'|'.$idcomprobante.'|'.$serie.'|'.$numero.'|'.$toigv.'|'.$importetotal.'|'.fecha_mysql($fecha).'|'.$idtipodni.'|'.$ruc.'|', 'QRCODE,Q', 157, 99, 40, 40, $style, 'N');



$pdf->Output($nombre_archivo, 'I');



